[arch-commits] Commit in python2/repos (4 files)

Felix Yan fyan at archlinux.org
Wed Sep 24 11:17:24 UTC 2014


    Date: Wednesday, September 24, 2014 @ 13:17:23
  Author: fyan
Revision: 222924

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  python2/repos/extra-i686/PKGBUILD
    (from rev 222923, python2/trunk/PKGBUILD)
  python2/repos/extra-x86_64/PKGBUILD
    (from rev 222923, python2/trunk/PKGBUILD)
Deleted:
  python2/repos/extra-i686/PKGBUILD
  python2/repos/extra-x86_64/PKGBUILD

-----------------------+
 /PKGBUILD             |  220 ++++++++++++++++++++++++++++++++++++++++++++++++
 extra-i686/PKGBUILD   |  110 ------------------------
 extra-x86_64/PKGBUILD |  110 ------------------------
 3 files changed, 220 insertions(+), 220 deletions(-)

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2014-09-24 11:16:51 UTC (rev 222923)
+++ extra-i686/PKGBUILD	2014-09-24 11:17:23 UTC (rev 222924)
@@ -1,110 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at gmail.com>
-# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
-# Contributor: Allan McRae <allan at archlinux.org>
-# Contributor: Jason Chu <jason at archlinux.org>
-
-pkgname=python2
-pkgver=2.7.8
-pkgrel=1
-_pybasever=2.7
-pkgdesc="A high-level scripting language"
-arch=('i686' 'x86_64')
-license=('PSF')
-url="http://www.python.org/"
-depends=('bzip2' 'gdbm' 'openssl' 'zlib' 'expat' 'sqlite' 'libffi')
-makedepends=('tk' 'bluez-libs')
-optdepends=('tk: for IDLE')
-conflicts=('python<3')
-source=(http://www.python.org/ftp/python/${pkgver%rc?}/Python-${pkgver}.tar.xz)
-sha1sums=('9c6281eeace0c3646fa556c8087bb1b7e033c9c4')
-
-prepare() {
-  cd Python-${pkgver}
-
-  # Temporary workaround for FS#22322
-  # See http://bugs.python.org/issue10835 for upstream report
-  sed -i "/progname =/s/python/python${_pybasever}/" Python/pythonrun.c
-
-  # Enable built-in SQLite module to load extensions (fix FS#22122)
-  sed -i "/SQLITE_OMIT_LOAD_EXTENSION/d" setup.py
-
-  # FS#23997
-  sed -i -e "s|^#.* /usr/local/bin/python|#!/usr/bin/python2|" Lib/cgi.py
-
-  sed -i "s/python2.3/python2/g" Lib/distutils/tests/test_build_scripts.py \
-     Lib/distutils/tests/test_install_scripts.py
-
-  # Ensure that we are using the system copy of various libraries (expat, zlib and libffi),
-  # rather than copies shipped in the tarball
-  rm -r Modules/expat
-  rm -r Modules/zlib
-  rm -r Modules/_ctypes/{darwin,libffi}*
-
-  # clean up #!s
-  find . -name '*.py' | \
-    xargs sed -i "s|#[ ]*![ ]*/usr/bin/env python$|#!/usr/bin/env python2|"
-
-  # Workaround asdl_c.py error after we touched the shebangs
-  touch Include/Python-ast.h Python/Python-ast.c
-}
-
-build() {
-  cd "${srcdir}/Python-${pkgver}"
-
-  export OPT="${CFLAGS}"
-  ./configure --prefix=/usr \
-              --enable-shared \
-              --with-threads \
-              --enable-ipv6 \
-              --enable-unicode=ucs4 \
-              --with-system-expat \
-              --with-system-ffi \
-              --with-dbmliborder=gdbm:ndbm
-
-  make
-}
-
-check() {
-  # As of 2.7.7, 1 test failed:
-  # test_uuid
-  # Besides, test_thread disabled as it will stuck
-
-  cd Python-${pkgver}
-  LD_LIBRARY_PATH="${srcdir}/Python-${pkgver}":${LD_LIBRARY_PATH} \
-    "${srcdir}/Python-${pkgver}/python" -m test.regrtest -uall -x test_thread || warning "Tests failed"
-}
-
-package() {
-  cd Python-${pkgver}
-  make DESTDIR="${pkgdir}" altinstall maninstall
-
-  rm "${pkgdir}"/usr/share/man/man1/python.1
-
-  ln -sf python${_pybasever}        "${pkgdir}"/usr/bin/python2
-  ln -sf python${_pybasever}-config "${pkgdir}"/usr/bin/python2-config
-  ln -sf python${_pybasever}.1      "${pkgdir}"/usr/share/man/man1/python2.1
-
-  # FS#33954
-  ln -sf python-${_pybasever}.pc    "${pkgdir}"/usr/lib/pkgconfig/python2.pc
-
-  ln -sf ../../libpython${_pybasever}.so "${pkgdir}"/usr/lib/python${_pybasever}/config/libpython${_pybasever}.so
-
-  mv "${pkgdir}"/usr/bin/smtpd.py "${pkgdir}"/usr/lib/python${_pybasever}/
-
-  # some useful "stuff"
-  install -dm755 "${pkgdir}"/usr/lib/python${_pybasever}/Tools/{i18n,scripts}
-  install -m755 Tools/i18n/{msgfmt,pygettext}.py "${pkgdir}"/usr/lib/python${_pybasever}/Tools/i18n/
-  install -m755 Tools/scripts/{README,*py} "${pkgdir}"/usr/lib/python${_pybasever}/Tools/scripts/
-
-  # fix conflicts with python
-  mv "${pkgdir}"/usr/bin/idle{,2}
-  mv "${pkgdir}"/usr/bin/pydoc{,2}
-  mv "${pkgdir}"/usr/bin/2to3{,-2.7}
-
-  # clean-up reference to build directory
-  sed -i "s#${srcdir}/Python-${pkgver}:##" "${pkgdir}"/usr/lib/python${_pybasever}/config/Makefile
-
-  # license
-  install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE
-}

Copied: python2/repos/extra-i686/PKGBUILD (from rev 222923, python2/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2014-09-24 11:17:23 UTC (rev 222924)
@@ -0,0 +1,110 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at gmail.com>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
+# Contributor: Jason Chu <jason at archlinux.org>
+
+pkgname=python2
+pkgver=2.7.8
+pkgrel=2
+_pybasever=2.7
+pkgdesc="A high-level scripting language"
+arch=('i686' 'x86_64')
+license=('PSF')
+url="http://www.python.org/"
+depends=('bzip2' 'gdbm' 'openssl' 'zlib' 'expat' 'sqlite' 'libffi')
+makedepends=('tk' 'bluez-libs')
+optdepends=('tk: for IDLE')
+conflicts=('python<3')
+source=(http://www.python.org/ftp/python/${pkgver%rc?}/Python-${pkgver}.tar.xz)
+sha1sums=('9c6281eeace0c3646fa556c8087bb1b7e033c9c4')
+
+prepare() {
+  cd Python-${pkgver}
+
+  # Temporary workaround for FS#22322
+  # See http://bugs.python.org/issue10835 for upstream report
+  sed -i "/progname =/s/python/python${_pybasever}/" Python/pythonrun.c
+
+  # Enable built-in SQLite module to load extensions (fix FS#22122)
+  sed -i "/SQLITE_OMIT_LOAD_EXTENSION/d" setup.py
+
+  # FS#23997
+  sed -i -e "s|^#.* /usr/local/bin/python|#!/usr/bin/python2|" Lib/cgi.py
+
+  sed -i "s/python2.3/python2/g" Lib/distutils/tests/test_build_scripts.py \
+     Lib/distutils/tests/test_install_scripts.py
+
+  # Ensure that we are using the system copy of various libraries (expat, zlib and libffi),
+  # rather than copies shipped in the tarball
+  rm -r Modules/expat
+  rm -r Modules/zlib
+  rm -r Modules/_ctypes/{darwin,libffi}*
+
+  # clean up #!s
+  find . -name '*.py' | \
+    xargs sed -i "s|#[ ]*![ ]*/usr/bin/env python$|#!/usr/bin/env python2|"
+
+  # Workaround asdl_c.py error after we touched the shebangs
+  touch Include/Python-ast.h Python/Python-ast.c
+}
+
+build() {
+  cd "${srcdir}/Python-${pkgver}"
+
+  export OPT="${CFLAGS}"
+  ./configure --prefix=/usr \
+              --enable-shared \
+              --with-threads \
+              --enable-ipv6 \
+              --enable-unicode=ucs4 \
+              --with-system-expat \
+              --with-system-ffi \
+              --with-dbmliborder=gdbm:ndbm
+
+  make
+}
+
+check() {
+  # As of 2.7.7, 1 test failed:
+  # test_uuid
+  # Besides, test_thread disabled as it will stuck
+
+  cd Python-${pkgver}
+  LD_LIBRARY_PATH="${srcdir}/Python-${pkgver}":${LD_LIBRARY_PATH} \
+    "${srcdir}/Python-${pkgver}/python" -m test.regrtest -uall -x test_thread || warning "Tests failed"
+}
+
+package() {
+  cd Python-${pkgver}
+  make DESTDIR="${pkgdir}" altinstall maninstall
+
+  rm "${pkgdir}"/usr/share/man/man1/python.1
+
+  ln -sf python${_pybasever}        "${pkgdir}"/usr/bin/python2
+  ln -sf python${_pybasever}-config "${pkgdir}"/usr/bin/python2-config
+  ln -sf python${_pybasever}.1      "${pkgdir}"/usr/share/man/man1/python2.1
+
+  # FS#33954
+  ln -sf python-${_pybasever}.pc    "${pkgdir}"/usr/lib/pkgconfig/python2.pc
+
+  ln -sf ../../libpython${_pybasever}.so "${pkgdir}"/usr/lib/python${_pybasever}/config/libpython${_pybasever}.so
+
+  mv "${pkgdir}"/usr/bin/smtpd.py "${pkgdir}"/usr/lib/python${_pybasever}/
+
+  # some useful "stuff"
+  install -dm755 "${pkgdir}"/usr/lib/python${_pybasever}/Tools/{i18n,scripts}
+  install -m755 Tools/i18n/{msgfmt,pygettext}.py "${pkgdir}"/usr/lib/python${_pybasever}/Tools/i18n/
+  install -m755 Tools/scripts/{README,*py} "${pkgdir}"/usr/lib/python${_pybasever}/Tools/scripts/
+
+  # fix conflicts with python
+  mv "${pkgdir}"/usr/bin/idle{,2}
+  mv "${pkgdir}"/usr/bin/pydoc{,2}
+  mv "${pkgdir}"/usr/bin/2to3{,-2.7}
+
+  # clean-up reference to build directory
+  sed -i "s#${srcdir}/Python-${pkgver}:##" "${pkgdir}"/usr/lib/python${_pybasever}/config/Makefile
+
+  # license
+  install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE
+}

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2014-09-24 11:16:51 UTC (rev 222923)
+++ extra-x86_64/PKGBUILD	2014-09-24 11:17:23 UTC (rev 222924)
@@ -1,110 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at gmail.com>
-# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
-# Contributor: Allan McRae <allan at archlinux.org>
-# Contributor: Jason Chu <jason at archlinux.org>
-
-pkgname=python2
-pkgver=2.7.8
-pkgrel=1
-_pybasever=2.7
-pkgdesc="A high-level scripting language"
-arch=('i686' 'x86_64')
-license=('PSF')
-url="http://www.python.org/"
-depends=('bzip2' 'gdbm' 'openssl' 'zlib' 'expat' 'sqlite' 'libffi')
-makedepends=('tk' 'bluez-libs')
-optdepends=('tk: for IDLE')
-conflicts=('python<3')
-source=(http://www.python.org/ftp/python/${pkgver%rc?}/Python-${pkgver}.tar.xz)
-sha1sums=('9c6281eeace0c3646fa556c8087bb1b7e033c9c4')
-
-prepare() {
-  cd Python-${pkgver}
-
-  # Temporary workaround for FS#22322
-  # See http://bugs.python.org/issue10835 for upstream report
-  sed -i "/progname =/s/python/python${_pybasever}/" Python/pythonrun.c
-
-  # Enable built-in SQLite module to load extensions (fix FS#22122)
-  sed -i "/SQLITE_OMIT_LOAD_EXTENSION/d" setup.py
-
-  # FS#23997
-  sed -i -e "s|^#.* /usr/local/bin/python|#!/usr/bin/python2|" Lib/cgi.py
-
-  sed -i "s/python2.3/python2/g" Lib/distutils/tests/test_build_scripts.py \
-     Lib/distutils/tests/test_install_scripts.py
-
-  # Ensure that we are using the system copy of various libraries (expat, zlib and libffi),
-  # rather than copies shipped in the tarball
-  rm -r Modules/expat
-  rm -r Modules/zlib
-  rm -r Modules/_ctypes/{darwin,libffi}*
-
-  # clean up #!s
-  find . -name '*.py' | \
-    xargs sed -i "s|#[ ]*![ ]*/usr/bin/env python$|#!/usr/bin/env python2|"
-
-  # Workaround asdl_c.py error after we touched the shebangs
-  touch Include/Python-ast.h Python/Python-ast.c
-}
-
-build() {
-  cd "${srcdir}/Python-${pkgver}"
-
-  export OPT="${CFLAGS}"
-  ./configure --prefix=/usr \
-              --enable-shared \
-              --with-threads \
-              --enable-ipv6 \
-              --enable-unicode=ucs4 \
-              --with-system-expat \
-              --with-system-ffi \
-              --with-dbmliborder=gdbm:ndbm
-
-  make
-}
-
-check() {
-  # As of 2.7.7, 1 test failed:
-  # test_uuid
-  # Besides, test_thread disabled as it will stuck
-
-  cd Python-${pkgver}
-  LD_LIBRARY_PATH="${srcdir}/Python-${pkgver}":${LD_LIBRARY_PATH} \
-    "${srcdir}/Python-${pkgver}/python" -m test.regrtest -uall -x test_thread || warning "Tests failed"
-}
-
-package() {
-  cd Python-${pkgver}
-  make DESTDIR="${pkgdir}" altinstall maninstall
-
-  rm "${pkgdir}"/usr/share/man/man1/python.1
-
-  ln -sf python${_pybasever}        "${pkgdir}"/usr/bin/python2
-  ln -sf python${_pybasever}-config "${pkgdir}"/usr/bin/python2-config
-  ln -sf python${_pybasever}.1      "${pkgdir}"/usr/share/man/man1/python2.1
-
-  # FS#33954
-  ln -sf python-${_pybasever}.pc    "${pkgdir}"/usr/lib/pkgconfig/python2.pc
-
-  ln -sf ../../libpython${_pybasever}.so "${pkgdir}"/usr/lib/python${_pybasever}/config/libpython${_pybasever}.so
-
-  mv "${pkgdir}"/usr/bin/smtpd.py "${pkgdir}"/usr/lib/python${_pybasever}/
-
-  # some useful "stuff"
-  install -dm755 "${pkgdir}"/usr/lib/python${_pybasever}/Tools/{i18n,scripts}
-  install -m755 Tools/i18n/{msgfmt,pygettext}.py "${pkgdir}"/usr/lib/python${_pybasever}/Tools/i18n/
-  install -m755 Tools/scripts/{README,*py} "${pkgdir}"/usr/lib/python${_pybasever}/Tools/scripts/
-
-  # fix conflicts with python
-  mv "${pkgdir}"/usr/bin/idle{,2}
-  mv "${pkgdir}"/usr/bin/pydoc{,2}
-  mv "${pkgdir}"/usr/bin/2to3{,-2.7}
-
-  # clean-up reference to build directory
-  sed -i "s#${srcdir}/Python-${pkgver}:##" "${pkgdir}"/usr/lib/python${_pybasever}/config/Makefile
-
-  # license
-  install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE
-}

Copied: python2/repos/extra-x86_64/PKGBUILD (from rev 222923, python2/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2014-09-24 11:17:23 UTC (rev 222924)
@@ -0,0 +1,110 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at gmail.com>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
+# Contributor: Jason Chu <jason at archlinux.org>
+
+pkgname=python2
+pkgver=2.7.8
+pkgrel=2
+_pybasever=2.7
+pkgdesc="A high-level scripting language"
+arch=('i686' 'x86_64')
+license=('PSF')
+url="http://www.python.org/"
+depends=('bzip2' 'gdbm' 'openssl' 'zlib' 'expat' 'sqlite' 'libffi')
+makedepends=('tk' 'bluez-libs')
+optdepends=('tk: for IDLE')
+conflicts=('python<3')
+source=(http://www.python.org/ftp/python/${pkgver%rc?}/Python-${pkgver}.tar.xz)
+sha1sums=('9c6281eeace0c3646fa556c8087bb1b7e033c9c4')
+
+prepare() {
+  cd Python-${pkgver}
+
+  # Temporary workaround for FS#22322
+  # See http://bugs.python.org/issue10835 for upstream report
+  sed -i "/progname =/s/python/python${_pybasever}/" Python/pythonrun.c
+
+  # Enable built-in SQLite module to load extensions (fix FS#22122)
+  sed -i "/SQLITE_OMIT_LOAD_EXTENSION/d" setup.py
+
+  # FS#23997
+  sed -i -e "s|^#.* /usr/local/bin/python|#!/usr/bin/python2|" Lib/cgi.py
+
+  sed -i "s/python2.3/python2/g" Lib/distutils/tests/test_build_scripts.py \
+     Lib/distutils/tests/test_install_scripts.py
+
+  # Ensure that we are using the system copy of various libraries (expat, zlib and libffi),
+  # rather than copies shipped in the tarball
+  rm -r Modules/expat
+  rm -r Modules/zlib
+  rm -r Modules/_ctypes/{darwin,libffi}*
+
+  # clean up #!s
+  find . -name '*.py' | \
+    xargs sed -i "s|#[ ]*![ ]*/usr/bin/env python$|#!/usr/bin/env python2|"
+
+  # Workaround asdl_c.py error after we touched the shebangs
+  touch Include/Python-ast.h Python/Python-ast.c
+}
+
+build() {
+  cd "${srcdir}/Python-${pkgver}"
+
+  export OPT="${CFLAGS}"
+  ./configure --prefix=/usr \
+              --enable-shared \
+              --with-threads \
+              --enable-ipv6 \
+              --enable-unicode=ucs4 \
+              --with-system-expat \
+              --with-system-ffi \
+              --with-dbmliborder=gdbm:ndbm
+
+  make
+}
+
+check() {
+  # As of 2.7.7, 1 test failed:
+  # test_uuid
+  # Besides, test_thread disabled as it will stuck
+
+  cd Python-${pkgver}
+  LD_LIBRARY_PATH="${srcdir}/Python-${pkgver}":${LD_LIBRARY_PATH} \
+    "${srcdir}/Python-${pkgver}/python" -m test.regrtest -uall -x test_thread || warning "Tests failed"
+}
+
+package() {
+  cd Python-${pkgver}
+  make DESTDIR="${pkgdir}" altinstall maninstall
+
+  rm "${pkgdir}"/usr/share/man/man1/python.1
+
+  ln -sf python${_pybasever}        "${pkgdir}"/usr/bin/python2
+  ln -sf python${_pybasever}-config "${pkgdir}"/usr/bin/python2-config
+  ln -sf python${_pybasever}.1      "${pkgdir}"/usr/share/man/man1/python2.1
+
+  # FS#33954
+  ln -sf python-${_pybasever}.pc    "${pkgdir}"/usr/lib/pkgconfig/python2.pc
+
+  ln -sf ../../libpython${_pybasever}.so "${pkgdir}"/usr/lib/python${_pybasever}/config/libpython${_pybasever}.so
+
+  mv "${pkgdir}"/usr/bin/smtpd.py "${pkgdir}"/usr/lib/python${_pybasever}/
+
+  # some useful "stuff"
+  install -dm755 "${pkgdir}"/usr/lib/python${_pybasever}/Tools/{i18n,scripts}
+  install -m755 Tools/i18n/{msgfmt,pygettext}.py "${pkgdir}"/usr/lib/python${_pybasever}/Tools/i18n/
+  install -m755 Tools/scripts/{README,*py} "${pkgdir}"/usr/lib/python${_pybasever}/Tools/scripts/
+
+  # fix conflicts with python
+  mv "${pkgdir}"/usr/bin/idle{,2}
+  mv "${pkgdir}"/usr/bin/pydoc{,2}
+  mv "${pkgdir}"/usr/bin/2to3{,-2.7}
+
+  # clean-up reference to build directory
+  sed -i "s#${srcdir}/Python-${pkgver}:##" "${pkgdir}"/usr/lib/python${_pybasever}/config/Makefile
+
+  # license
+  install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE
+}




More information about the arch-commits mailing list